MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029308Open CASCADE[OCCT] OCCT:Configurationpublic2017-11-09 15:572019-07-19 14:27
Reporterabv 
Assigned Toski 
PrioritynormalSeverityminor 
StatusresolvedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029308: Configuration, Inspectors - search of Qt in CMake scripts is separated from search of other 3rd-party libs
DescriptionOCCT CMake scripts perform search of Qt if BUILD_Inspectors option is enabled. Unlike for other 3rd-party tools, this search is done at the end of the script. It is not logical and not convenient because:

1. Qt is not listed among the list of used thrird-party libs (see "Info: The directories of 3rdparty" in the log)

2. Qt is searched after processing of inc folder, which is quite long. Hence, if Qt cannot be found, this time is spent for nothing.

See CMake log in "additional info" field.
Additional information
and documentation updates
cotire 1.7.9 loaded.
Info: /D_WINDOWS has been removed from CMAKE_CXX_FLAGS
Info: /DWIN32 has been removed from CMAKE_CXX_FLAGS
Info: /D_WINDOWS has been removed from CMAKE_C_FLAGS
Info: /DWIN32 has been removed from CMAKE_C_FLAGS
Info: TCL is used by OCCT
Info: TK is used from TCL folder: D:/ABV/OCCT/3rdparty/tcltk-86-64
Info: TK is used by OCCT
Info: Freetype is used by OCCT
Info: TKIVtk and TKIVtkDraw toolkits excluded due to VTK usage is disabled
Info: The directories of 3rdparty headers:
    D:/ABV/OCCT/3rdparty/tcltk-86-64/include
    D:/ABV/OCCT/3rdparty/freetype-2.5.5-vc12-64/include
    D:/ABV/OCCT/3rdparty/freeimage-3.17.0-vc12-64/include
    D:/ABV/OCCT/3rdparty/tbb_2017.0.100/include
Info: The directories of 3rdparty libraries:
    D:/ABV/OCCT/3rdparty/tcltk-86-64/lib
    D:/ABV/OCCT/3rdparty/freetype-2.5.5-vc12-64/lib
    D:/ABV/OCCT/3rdparty/freeimage-3.17.0-vc12-64/lib
    D:/ABV/OCCT/3rdparty/tbb_2017.0.100/lib/intel64/vc12

Info: (15:49:14) Start collecting all OCCT header files into D:/ABV/OCCT/occt/win64/vc12/cmake/inc ...
Info: (15:49:14) Compare FILES with files in package directories...
Warning. File D:/ABV/OCCT/occt/src/StepFile/step.lex is not listed in D:/ABV/OCCT/occt/src/StepFile/FILES
Warning. File D:/ABV/OCCT/occt/src/StepFile/step.yacc is not listed in D:/ABV/OCCT/occt/src/StepFile/FILES
Info: (15:49:24) Create header-links in inc folder...
Info: (15:49:33) Checking headers in inc folder...
Warning. (inspector) D:/ABV/OCCT/occt/win64/vc12/cmake/inc/inspector is not used and will be removed from D:/ABV/OCCT/occt/win64/vc12/cmake/inc
Info: (15:49:36) End the collecting

Info: (15:49:36) Start collecting all OCCT tool header files into D:/ABV/OCCT/occt/win64/vc12/cmake/tools/inc ...
Info: (15:49:36) Compare FILES with files in package directories...
Info: (15:49:36) Create header-links in inc folder...
Info: (15:49:36) Checking headers in inc folder...
Info: Qt is used from folder: D:/ABV/Projects/AssemblyControl/cadprocessor/3rdparty/qt-5.9.1-vc12-64
Info: Qt is used by OCCT
Info: (15:49:36) OCCT toolkits processed
Info: (15:49:36) OCCT configuration files prepared
Configuring done
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0030851assignedapn Open CASCADE Qt installation procedure doesn't work properly 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0085789)
git (administrator)
2019-07-19 13:54

Branch CR29308 has been created by apn.

SHA-1: 6c719dc0716263a14acc6e239a2d539248008123


Detailed log of new commits:

Author: apn
Date: Fri Jul 19 13:52:33 2019 +0300

    0029308: Configuration, Inspectors - search of Qt in CMake scripts is separated from search of other 3rd-party libs
    
    Qt for inspector and samples is searched together with all 3rd-party products
(0085791)
apn (administrator)
2019-07-19 14:06

Dear ski, could you please review occt and products branches CR29308.

- Issue History
Date Modified Username Field Change
2017-11-09 15:57 abv New Issue
2017-11-09 15:57 abv Assigned To => bugmaster
2017-11-09 15:58 abv Relationship added child of 0027398
2017-11-09 17:18 abv Target Version => 7.4.0*
2017-11-28 11:37 bugmaster Assigned To bugmaster => apn
2017-11-28 11:37 bugmaster Status new => assigned
2019-07-19 13:54 git Note Added: 0085789
2019-07-19 14:06 apn Test case number => Not needed
2019-07-19 14:06 apn Note Added: 0085791
2019-07-19 14:06 apn Assigned To apn => ski
2019-07-19 14:06 apn Status assigned => resolved
2019-07-19 14:27 apn Relationship added parent of 0030851


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker